Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.IconFit Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | IconFit ()
| Constructor.
def | IconFit (icon_fit)
| Constructor, with another icon fit object. More...
def | IconFit (type, is_proportional_scaling, horizontal_fraction, vertical_fraction, fit_bounds)
| Constructor, with parameters. More...
def | Set (type, is_proportional_scaling, horizontal_fraction, vertical_fraction, fit_bounds)
| Set value. More...

## Static Public Attributes
| e_ScaleWayAlways = _fsdk.IconFit_e_ScaleWayAlways
| Always scale.
| e_ScaleWayBigger = _fsdk.IconFit_e_ScaleWayBigger
| Scale only when icon is bigger than annotation rectangle.
| e_ScaleWayNever = _fsdk.IconFit_e_ScaleWayNever
| Never scale.
| e_ScaleWayNone = _fsdk.IconFit_e_ScaleWayNone
| No scaling way is specified.
| e_ScaleWaySmaller = _fsdk.IconFit_e_ScaleWaySmaller
| Scale only when icon is smaller than annotation rectangle.
| fit_bounds = _fsdk.IconFit_fit_bounds
| A boolean value that indicates whether to scale button appearance to fit fully within bounds or not. More...
| horizontal_fraction = _fsdk.IconFit_horizontal_fraction
| The horizontal fraction of left-over space to allocate at the left and bottom of the icon. More...
| is_proportional_scaling = _fsdk.IconFit_is_proportional_scaling
| A boolean value which indicates whether use proportional scaling or not. More...
| scale_way_type = _fsdk.IconFit_scale_way_type
| The circumstances under which the icon should be scaled inside the annotation rectangle. Please refer to values starting from FoxitPDFSDKPython3.IconFit.e_ScaleWayNone and this should be one of these values. When current icon fit object is used for setting, this value should not be FoxitPDFSDKPython3.IconFit.e_ScaleWayNone .
| vertical_fraction = _fsdk.IconFit_vertical_fraction
| The vertical fraction of left-over space to allocate at the left and bottom of the icon. More...

## Detailed Description

This class represents icon fit information. Icon fit information is used to specify how to display a button's icon within the annotation rectangle of its associated widget annotation.

## Constructor & Destructor Documentation

## ◆ IconFit() [1/2]

def FoxitPDFSDKPython3.IconFit.IconFit | ( |  | type,
|  |  | is_proportional_scaling,
|  |  | horizontal_fraction,
|  |  | vertical_fraction,
|  |  | fit_bounds
| ) |  |

Constructor, with parameters.

Parameters

  [in] | type | The circumstances under which the icon should be scaled inside the annotation rectangle. Please refer to values starting from FoxitPDFSDKPython3.IconFit.e_ScaleWayAlways and this should be one of these values. This value shold not be FoxitPDFSDKPython3.IconFit.e_ScaleWayNone when current icon fit object is used for setting.
  [in] | is_proportional_scaling | Indicates whether use proportional scaling or not. true means to fill the annotation rectangle exactly, without regard to its original aspect ratio (ratio of width to height). false means scale the icon to fit the width or height of the annotation rectangle while maintaining the icon's original aspect ratio.
  [in] | horizontal_fraction | The horizontal fraction of left-over space to allocate at the left and bottom of the icon if the icon is scaled proportionally. Valid range: 0.0 to 1.0.
  [in] | vertical_fraction | The vertical fraction of left-over space to allocate at the left and bottom of the icon if the icon is scaled proportionally. Valid range: 0.0 to 1.0.
  [in] | fit_bounds | Indicates whether to scale button appearance to fit fully within bounds or not. true means that the button appearance should be scaled to fit fully within the bounds of the annotation without taking into consideration the line width of the border.

## ◆ IconFit() [2/2]

def FoxitPDFSDKPython3.IconFit.IconFit | ( |  | icon_fit | ) |

Constructor, with another icon fit object.

Parameters

  [in] | icon_fit | Another icon fit object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.IconFit.Set | ( |  | type,
|  |  | is_proportional_scaling,
|  |  | horizontal_fraction,
|  |  | vertical_fraction,
|  |  | fit_bounds
| ) |  |

Set value.

Parameters

  [in] | type | The circumstances under which the icon should be scaled inside the annotation rectangle. Please refer to values starting from FoxitPDFSDKPython3.IconFit.e_ScaleWayAlways and this should be one of these values. This value shold not be FoxitPDFSDKPython3.IconFit.e_ScaleWayNone when current icon fit object is used for setting.
  [in] | is_proportional_scaling | Indicates whether use proportional scaling or not. true means to fill the annotation rectangle exactly, without regard to its original aspect ratio (ratio of width to height). false means scale the icon to scale the icon to fit the width or height of the annotation rectangle while maintaining the icon's original aspect ratio.
  [in] | horizontal_fraction | The horizontal fraction of left-over space to allocate at the left and bottom of the icon if the icon is scaled proportionally. Valid range: 0.0 to 1.0.
  [in] | vertical_fraction | The vertical fraction of left-over space to allocate at the left and bottom of the icon if the icon is scaled proportionally. Valid range: 0.0 to 1.0.
  [in] | fit_bounds | Indicates whether to scale button appearance to fit fully within bounds or not. true means that the button appearance should be scaled to fit fully within the bounds of the annotation without taking into consideration the line width of the border.

Returns
  None.

## Member Data Documentation

## ◆ fit_bounds

FoxitPDFSDKPython3.IconFit.fit_bounds = _fsdk.IconFit_fit_bounds
| static

A boolean value that indicates whether to scale button appearance to fit fully within bounds or not.

true indicates that the button appearance should be scaled to fit fully within the bounds of the annotation without taking into consideration the line width of the border.

## ◆ horizontal_fraction

FoxitPDFSDKPython3.IconFit.horizontal_fraction = _fsdk.IconFit_horizontal_fraction
| static

The horizontal fraction of left-over space to allocate at the left and bottom of the icon.

This entry is used only if the icon is scaled proportionally. Valid range: 0.0 to 1.0.

## ◆ is_proportional_scaling

FoxitPDFSDKPython3.IconFit.is_proportional_scaling = _fsdk.IconFit_is_proportional_scaling
| static

A boolean value which indicates whether use proportional scaling or not.

true means to fill the annotation rectangle exactly, without regard to its original aspect ratio (ratio of width to height).
false means scale the icon to scale the icon to fit the width or height of the annotation rectangle while maintaining the icon's original aspect ratio.

## ◆ vertical_fraction

FoxitPDFSDKPython3.IconFit.vertical_fraction = _fsdk.IconFit_vertical_fraction
| static

The vertical fraction of left-over space to allocate at the left and bottom of the icon.

This entry is used only if the icon is scaled proportionally. Valid range: 0.0 to 1.0.